<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
    <!-- Include the original mapping from dsp properties -->
    <INCLUDE_ONCE file="mapping.inc"/>
    <!-- Map output values to K12 K14 and K20 scaled parameters -->
    <TEMPLATE id="TPL_MAP_OUTPUT">
        <VARIABLE id="k12_$value$" value="k12_$value$"/>
        <VARIABLE id="k14_$value$" value="k14_$value$"/>
        <VARIABLE id="k20_$value$" value="k20_$value$"/>
        <VARIABLE id="k10_$value$" value="k10_$value$"/>
        <PARAM min="-48" max="12" default="0" id="k12_$value$" unit="dB" name="$name$"/>
        <PARAM min="-46" max="14" default="0" id="k14_$value$" unit="dB" name="$name$"/>
        <PARAM min="-40" max="20" default="0" id="k20_$value$" unit="dB" name="$name$"/>
        <PARAM min="-50" max="10" default="0" id="k10_$value$" unit="dB" name="$name$"/>
        <PARAM_MULTI_LINK from="$$value$$" to="k12_$value$;k14_$value$;k20_$value$;k10_$value$" normalized="true"/>
    </TEMPLATE>
    <!-- peak values -->
    <TPL_MAP_OUTPUT value="peak_value1" name="Peak level"/>
    <TPL_MAP_OUTPUT value="peak_avg1" name="Average peak level"/>
    <TPL_MAP_OUTPUT value="peak_max1" name="Max peak level"/>
    <TPL_MAP_OUTPUT value="peak_meter_hold1" name=""/>

    <TPL_MAP_OUTPUT value="peak_value2" name="Peak level"/>
    <TPL_MAP_OUTPUT value="peak_avg2" name="Average peak level"/>
    <TPL_MAP_OUTPUT value="peak_max2" name="Max peak level"/>
    <TPL_MAP_OUTPUT value="peak_meter_hold2" name=""/>
     
     <!-- RMS values: these ones are actually valid with a +3dB RMS boost -->
    <TPL_MAP_OUTPUT value="rms_value1" name="RMS level"/>
    <TPL_MAP_OUTPUT value="rms_avg1" name="Average RMS level"/>
    <TPL_MAP_OUTPUT value="rms_max1" name="Max RMS level"/>   
    <TPL_MAP_OUTPUT value="rms_meter_hold1" name=""/>

    <TPL_MAP_OUTPUT value="rms_value2" name="RMS level"/>
    <TPL_MAP_OUTPUT value="rms_avg2" name="Average RMS level"/>
    <TPL_MAP_OUTPUT value="rms_max2" name="Max RMS level"/>   
    <TPL_MAP_OUTPUT value="rms_meter_hold2" name=""/>
        
    <!-- The display type control parameter -->
    <PARAM id="display_type" type="enumeration" enum_values="Normal;RMS+3dB;K-12;K-14;K-20;K-10" persistent="true"/>
    <TEMPLATE id="TPL_CONST_PARAM" >
        <PARAM id="$id$" max="$value$" min="$value$" default="$value$"/> 
    </TEMPLATE>
    <TPL_CONST_PARAM id="value_normal" value="0"/>
    <TPL_CONST_PARAM id="value_rms3dB" value="1"/>
    <TPL_CONST_PARAM id="value_k12" value="2"/>
    <TPL_CONST_PARAM id="value_k14" value="3"/>
    <TPL_CONST_PARAM id="value_k20" value="4"/>
    <TPL_CONST_PARAM id="value_k10" value="5"/>
    
    <!-- Boost for all display types except normal-->
    <PARAM_MULTI_LINK from="display_type;value_normal" to="$rms_boost$" mux_function="&gt;"/>
    
    <!-- opacity -->
    <PARAM id="global_opacity" min="0" max="100" default="100" unit="%" persistent="true"/>
    <PARAM_LINK from="global_opacity" to="window.opacity" normalized="true"/>
</DUMMY>