<?xml version="1.0" encoding="utf-8"?>
<DUMMY>

<DEFINE>
	<CUS_CURVE base_type="CURVE_GRAPH" width="100%" height="100%" cursor="system::hand" sample_rate="2"/>
</DEFINE>

<!-- Animator frozen during load -->
<TEMPLATE id="TPL_PARAM_ANIMATOR" persistent="false">
	<PARAM_ANIMATOR id="$id$" param_id="$param_id$" enabled="false" persistent="$persistent$"/>
	<PARAM_LINK from="window.loaded" to="$id$.enabled"/>
</TEMPLATE>

<TEMPLATE id="TPL_CHANNEL_GRAPH" channel="1">
	<TABLE width="820" height="150" h_margin="3">
		<CURVE_FROM_PARAM_OVER_TIME id="target_grid1_curve$channel$" param_id="target_grid1"
		duration_ms="500"/>
		<CURVE_FROM_PARAM_OVER_TIME id="target_grid2_curve$channel$" param_id="target_grid2"
		duration_ms="500"/>
		<CURVE_FROM_PARAM_OVER_TIME id="peak_curve$channel$" param_id="$peak_value$channel$$"
		duration_ms="40000"/>
		<CURVE_FROM_PARAM_OVER_TIME id="rms_curve$channel$" param_id="$rms_value$channel$$"
		duration_ms="40000"/>
		<CURVE_FROM_PARAM_OVER_TIME id="trans_curve$channel$" param_id="$trans_value$channel$$"
		duration_ms="40000"/>

		<TABLE_ROW height="90%">
			<RULER id="y_ruler$channel$" orientation="vertical" text_h_align="right" text_v_align="center"
			h_align="right" v_margin="8" height="100%" width="25" param_info_id="peak_curve$channel$.y_info"
			color="#888888" value_format=".0" content="{value} {unit}"
			positions_count="7" font_size="-1">
				<INVISIBLE_PARAM_MENU_BUTTON param_id="y_range" width="100%" height="100%"
				cursor="system::hand" positions_count="6"/>
            </RULER>

			<LAYER_STACK height="100%" width="92%" v_margin="8" h_margin="14">

				<GRID x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%"
				subdiv_color="#333333" color="#666666" origin_color="#aaaaaa"
				x_param_info_id="peak_curve$channel$.x_info"
				y_param_info_id="peak_curve$channel$.y_info" x_positions_count="11"
				y_positions_count="7" id="grid$channel$"/>

				<CUS_CURVE color="$target1_color$" curve_id="target_grid1_curve$channel$"
				id="target_grid1_graph$channel$" x_positions_count="2"/>
				<CUS_CURVE color="$target2_color$" curve_id="target_grid2_curve$channel$"
				id="target_grid2_graph$channel$" x_positions_count="2"/>

				<CUS_CURVE color="$peak_color$" curve_id="peak_curve$channel$" id="peak_graph$channel$"/>
				<CUS_CURVE color="$rms_color$" curve_id="rms_curve$channel$" id="rms_graph$channel$"/>
				<CUS_CURVE color="$trans_color$" curve_id="trans_curve$channel$" id="trans_graph$channel$"/>

				<XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" y_param_id="y_offset" y_reverse="true"
				id="scratchpad$channel$" cursor="system::open_hand" z_param_id="y_zoom_anim" z_positions_count="11"/>
			</LAYER_STACK>
		</TABLE_ROW>

		<TABLE_ROW>
			<CELL/>
				<RULER orientation="horizontal" text_h_align="center" h_margin="14" width="90%"
				param_info_id="peak_curve$channel$.x_info"  value_format=".0" content="{value} {unit}"
				positions_count="6"/>
		</TABLE_ROW>
	</TABLE>
</TEMPLATE>

<CUS_GRAPH font_face="Arial" font_quality="cleartype" font_size="12" text_color="#888888"
spacing="4" width="100%" v_margin="12">
	<COLUMN>
		<COLUMN>
			<ROW spacing="2" font_size="14">
				<TEXT value="Ch1"/>
				<LAYER_STACK>
					<TEXT value="(Left)" id="(L)"/>
					<TEXT value="(Mid)" id="(M)"/>
				</LAYER_STACK>
			</ROW>

			<PARAM_LINK from="$stereo_mode$" to="(L).visible" normalized="true" reverse="true"/>
			<PARAM_LINK from="(L).visible" to="(M).visible" reverse="true"/>

			<TPL_CHANNEL_GRAPH channel="1"/>
		</COLUMN>

		<COLUMN>
			<ROW spacing="2" font_size="14">
				<TEXT value="Ch2"/>
				<LAYER_STACK>
					<TEXT value="(Right)" id="(R)"/>
					<TEXT value="(Side)" id="(S)"/>
				</LAYER_STACK>
			</ROW>

			<PARAM_LINK from="$stereo_mode$" to="(R).visible" normalized="true" reverse="true"/>
			<PARAM_LINK from="(R).visible" to="(S).visible" reverse="true"/>

			<TPL_CHANNEL_GRAPH channel="2"/>
		</COLUMN>
	</COLUMN>

	<!-- Persistency & params-->
	<PARAM id="y_range" type="enumeration" default="0" enum_values="60 dB;30 dB;20 dB;15 dB;12 dB;10 dB"/>
	<PARAM_CONNECTION id2="y_range" id1="y_zoom_anim" normalized="true"/>
	<PARAM min="1" max="6" default="1" id="y_zoom"/>
	<PARAM min="0" max="1" default="1" id="y_offset"/>
	<TPL_PARAM_ANIMATOR id="y_zoom_anim" param_id="y_zoom" persistent="true"/>
	<TPL_PARAM_ANIMATOR id="y_offset_anim" param_id="y_offset" persistent="true"/>

	<!-- Link parameters -->
	<REPEAT count="2" start="1" index_name="channel">
		<PARAM_MULTI_LINK from="y_zoom" to="peak_graph$channel$.y_zoom;rms_graph$channel$.y_zoom;trans_graph$channel$.y_zoom;target_grid1_graph$channel$.y_zoom;target_grid2_graph$channel$.y_zoom;grid$channel$.y_zoom;y_ruler$channel$.zoom"/>
		<PARAM_MULTI_LINK from="y_offset" to="peak_graph$channel$.y_offset;rms_graph$channel$.y_offset;trans_graph$channel$.y_offset;target_grid1_graph$channel$.y_offset;target_grid2_graph$channel$.y_offset;grid$channel$.y_offset;y_ruler$channel$.offset"/>

		<!-- Pads stuff -->
		<PARAM_LINK from="grid$channel$.y_extra_pixels" to="scratchpad$channel$.y_pixel_range"/>
	</REPEAT>

	<PARAM id="target_graph_visible" type="boolean" default="1" persistent="true"/>
	<PARAM_MULTI_LINK from="target_graph_visible" to="target_grid1_graph1.visible;target_grid1_graph2.visible;target_grid2_graph1.visible;target_grid2_graph2.visible"/>
	<PARAM id="peak_graph_visible" type="boolean" default="1" persistent="true"/>
	<PARAM_MULTI_LINK from="peak_graph_visible" to="peak_graph1.visible;peak_graph2.visible"/>
	<PARAM id="rms_graph_visible" type="boolean" default="1" persistent="true"/>
	<PARAM_MULTI_LINK from="rms_graph_visible" to="rms_graph1.visible;rms_graph2.visible"/>
	<PARAM id="trans_graph_visible" type="boolean" default="1" persistent="true"/>
	<PARAM_MULTI_LINK from="trans_graph_visible" to="trans_graph1.visible;trans_graph2.visible"/>

</CUS_GRAPH>

</DUMMY>
