<?xml version="1.0" encoding="utf-8"?>
<DUMMY>

<TEMPLATE id="TPL_SUM_LARGE_VALUE" param_id="" value_format="5.1">
	<IMAGE_GROUP_BOX image="graph/box.bmp" h_margin="5">

		<PARAM_TEXT param_id="$param_id$" content="{value}" font_face="Courier New"
		font_size="24" text_h_align="right" value_format="$value_format$" text_color="#eeeeee"/>

	</IMAGE_GROUP_BOX>
</TEMPLATE>

<TEMPLATE id="TPL_RMS_MAX_LARGE_VALUE" prefix="" visible="false">
	<IMAGE_GROUP_BOX id="$prefix$rms_max_large_value" visible="$visible$">
		<PARAM_MULTI_LINK from="$$prefix$rms_max1$;$$prefix$rms_max2$" to="$prefix$rms_max" mux_function="max"/>
		<TPL_SUM_LARGE_VALUE param_id="$prefix$rms_max" value_format="+5.1"/>
	</IMAGE_GROUP_BOX>
</TEMPLATE>


<CELL h_margin="4" v_margin="0">
	<ROW>
		<CUS_ON_OFF_BUTTON_R param_id="$bypass$"/>
		<TEXT value=" Bypass   ">
			<CUS_INVISIBLE_BUTTON param_id="$bypass$"/>
		</TEXT>

		<CUS_ON_OFF_BUTTON_G_R param_id="$stereo_mode$"/>
		<TEXT value=" L-R   ">
			<CUS_INVISIBLE_BUTTON param_id="$stereo_mode$">
				<TOOLTIP text="Left-Right stereo"/>
			</CUS_INVISIBLE_BUTTON>
		</TEXT>

		<CUS_ON_OFF_BUTTON_Y param_id="$stereo_mode$"/>
		<TEXT value=" M-S">
			<CUS_INVISIBLE_BUTTON param_id="$stereo_mode$">
				<TOOLTIP text="Mid-Side stereo"/>
			</CUS_INVISIBLE_BUTTON>
		</TEXT>
	</ROW>

	<ROW height="10"/>

	<ROW>
		<CELL>
			<TEXT value="Headroom" v_align="top">
				<TOOLTIP text="Margin is calculated from Peak-Max"/>
			</TEXT>

			<FORMULA_PARAM id="headroom1" formula="$peak_max1$.max-$peak_max1$"/>
			<FORMULA_PARAM id="headroom2" formula="$peak_max2$.max-$peak_max2$"/>
			<PARAM id="headroom" min="0" max="60" default="60"/>
			<PARAM_MULTI_LINK from="headroom1;headroom2" to="headroom" mux_function="min"/>
			<TPL_SUM_LARGE_VALUE param_id="headroom"/>
		</CELL>

		<CELL>
			<TEXT value="Ch Diff" v_align="top">
				<TOOLTIP text="Difference between Peak-Avg Ch1 and Ch2"/>
			</TEXT>

			<FORMULA_PARAM id="chdif" formula="abs($peak_avg1$-$peak_avg2$)"/>
			<TPL_SUM_LARGE_VALUE param_id="chdif"/>
		</CELL>
	</ROW>

	<ROW height="10"/>

	<ROW>
		<CELL>
			<TEXT value="RMS Max" v_align="top">
				<TOOLTIP text="Larger RMS-Max either Ch1 or Ch2"/>
			</TEXT>

			<PARAM id="rms_max" min="-60" max="20" default="-60"/>
			<PARAM id="k12_rms_max" min="-60" max="20" default="-60"/>
			<PARAM id="k14_rms_max" min="-60" max="20" default="-60"/>
			<PARAM id="k20_rms_max" min="-60" max="20" default="-60"/>
			<PARAM id="k10_rms_max" min="-60" max="20" default="-60"/>

			<LAYER_STACK>
				<TPL_RMS_MAX_LARGE_VALUE prefix=""     visible="true"/>
				<TPL_RMS_MAX_LARGE_VALUE prefix="k12_" visible="false"/>
				<TPL_RMS_MAX_LARGE_VALUE prefix="k14_" visible="false"/>
				<TPL_RMS_MAX_LARGE_VALUE prefix="k20_" visible="false"/>
				<TPL_RMS_MAX_LARGE_VALUE prefix="k10_" visible="false"/>
			</LAYER_STACK>
			<TPL_RMS_MULTI_LINK id_v="rms_max_large_value"/>

		</CELL>

		<CELL>
			<TEXT value="Dmx" v_align="top">
				<TOOLTIP text="Smaller Dmx either Ch1 or Ch2"/> large
			</TEXT>

			<FORMULA_PARAM id="dmx1" formula="$rms_max1$-$rms_avg1$"/>
			<FORMULA_PARAM id="dmx2" formula="$rms_max2$-$rms_avg2$"/>
			<PARAM id="dmx" min="0" max="60" default="0"/>
			<PARAM_MULTI_LINK from="dmx1;dmx2" to="dmx" mux_function="min"/>
			<TPL_SUM_LARGE_VALUE param_id="dmx"/>
		</CELL>
	</ROW>

</CELL>

</DUMMY>
