<?xml version="1.0" encoding="utf-8"?>
<DUMMY>

<PARAM id="reset_button_img" type="boolean" default="0" persistent="true"/>
<PARAM id="k12_reset_button_img" type="boolean" default="0" persistent="true"/>
<PARAM id="k14_reset_button_img" type="boolean" default="0" persistent="true"/>
<PARAM id="k20_reset_button_img" type="boolean" default="0" persistent="true"/>
<PARAM id="k10_reset_button_img" type="boolean" default="0" persistent="true"/>

<DEFINE>
	<!-- Meter in a bar graph -->
	<CUS_BAR_METER base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal"/>

	<!-- Hold Meter -->
	<CUS_HOLD_METER base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal" image="hold_meter.bmp"
	image_mask="hold_meter.bmp" thumb_image="pg_hold_thumb.bmp"/>

	<!-- Clipped Lamp -->
	<CUS_LED base_type="IMAGE_PARAM_METER" image_orientation="horizontal" image="pg_led.bmp" images_count="2"/>
	<CUS_LED_BUTTON base_type="IMAGE_PARAM_BUTTON" image_orientation="horizontal" image="led_button.bmp"
	images_count="2" cursor="system::hand"/>

	<!-- Ruler -->
	<CUS_RULER1A base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal" image="pg_meter_small1.bmp"/>
	<CUS_RULER1B base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal" image="pg_meter_small1.bmp"
	image_mask="pg_meter_small1.bmp" image_selected="pg_meter_small1.bmp"/>
	<CUS_RULER2A base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal" image="pg_meter_small2.bmp"/>
	<CUS_RULER2B base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal" image="pg_meter_small2.bmp"
	image_mask="pg_meter_small2.bmp" image_selected="pg_meter_small2.bmp"/>

</DEFINE>    

<TEMPLATE id="TPL_METERS" prefix="" visible="false">
	<IMAGE_GROUP_BOX id="$prefix$meters" visible="$visible$" h_margin="2">
		<TABLE spacing="0">
			<TABLE_ROW>
				<CELL/>
				<CELL/>
				<CELL/>
				<TEXT value="Max          Avg"/>
			</TABLE_ROW>

			<!-- ============================ Ch1 ============================ -->
			<TABLE_ROW>
				<!-- Peak meter -->
				<TEXT value="Peak " h_align="right" text_color="$peak_color$"/>
				<LAYER_STACK>
					<CUS_BAR_METER param_id="$$prefix$peak_value1$" image="pg_$prefix$meter_small.bmp"/>
					<CUS_HOLD_METER param_id="$$prefix$peak_meter_hold1$"/>
				</LAYER_STACK>

				<!-- Clip Meter -->
				<CUS_LED param_id="$clipped1$"/>

				<!-- Peak Data -->
				<ROW h_margin="4" h_align="right">
					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$peak_max1$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$peak_avg1$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
				</ROW>
			</TABLE_ROW>

			<TABLE_ROW>
				<!-- RMS meter -->
				<TEXT value="RMS " h_align="right" text_color="$rms_color$"/>
				<LAYER_STACK>
					<CUS_BAR_METER param_id="$$prefix$rms_value1$" image="pg_$prefix$meter_small.bmp"/>
					<CUS_HOLD_METER param_id="$$prefix$rms_meter_hold1$"/>
				</LAYER_STACK>

				<!-- Clip Meter -->
				<CELL/>

				<!-- RMS Data -->
				<ROW h_margin="4" h_align="right">

					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$rms_max1$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$rms_avg1$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
				</ROW>
			</TABLE_ROW>

			<!-- Ruler -->
			<TABLE_ROW height="2"/>
			<TABLE_ROW>
				<TEXT value="Dmx " h_align="right" text_color="$dmx_color$"/>
				<LAYER_STACK>
					<CUS_RULER1A param_id="$$prefix$rms_max1$" image_selected="pg_$prefix$meter_small1_selected.bmp"/>
					<CUS_RULER1B param_id="$$prefix$rms_avg1$" image_selected_mask="pg_$prefix$meter_small1_selected_mask.bmp"/>
				</LAYER_STACK>

				<CELL/>
				<CELL/>
			</TABLE_ROW>

			<TABLE_ROW>
				<TEXT value="dB"/>
				<RULER font_size="16" param_info_id="$$prefix$peak_value1$.info" orientation="horizontal"
				positions_count="16" width="440" h_margin="10" text_h_align="center" content="{value}"
				value_format="+.0"/>

				<CELL/>

				<ROW>

				<LAYER_STACK width="70" height="20">

					<IMAGE id="$prefix$_reset_button_on" image="pg_reset_button_on.bmp"
					width="100%" height="100%"/>
					<IMAGE id="$prefix$_reset_button_off" image="pg_reset_button_off.bmp"
					width="100%" height="100%"/>

					<IMAGE_PARAM_BUTTON id="$prefix$_reset_button" param_id="dsp.input18"
					positions_count="2" width="100%" height="100%"
					image="invisible_button/square.bmp" image_mask="invisible_button/square.bmp"
					images_count="2" image_orientation="horizontal" cursor="system::hand">
						<TOOLTIP text="Reset all stats"/>
					</IMAGE_PARAM_BUTTON>
					<PARAM_LINK from="$prefix$_reset_button.pushed" to="$prefix$_reset_button_on.visible"
					reverse="false"/>
					<PARAM_LINK from="$prefix$_reset_button.pushed" to="$prefix$_reset_button_off.visible"
					reverse="true"/>

				</LAYER_STACK>

				</ROW>
			</TABLE_ROW>

			<!-- Ruler -->
			<TABLE_ROW>
				<TEXT value="Dmx " h_align="right" text_color="$dmx_color$"/>
				<LAYER_STACK>
					<CUS_RULER2A param_id="$$prefix$rms_max2$" image_selected="pg_$prefix$meter_small2_selected.bmp"/>
					<CUS_RULER2B param_id="$$prefix$rms_avg2$" image_selected_mask="pg_$prefix$meter_small2_selected_mask.bmp"/>
				</LAYER_STACK>

				<CELL/>
				<CELL/>
			</TABLE_ROW>

			<TABLE_ROW height="2"/>

			<!-- ============================ Ch2 ============================ -->
			<TABLE_ROW>
				<!-- RMS meter -->
				<TEXT value="RMS " h_align="right" text_color="$rms_color$"/>
				<LAYER_STACK>
					<CUS_BAR_METER param_id="$$prefix$rms_value2$" image="pg_$prefix$meter_small.bmp"/>
					<CUS_HOLD_METER param_id="$$prefix$rms_meter_hold2$"/>
				</LAYER_STACK>

				<!-- Clip Meter -->
				<CELL/>

				<!-- RMS Data -->
				<ROW h_margin="4" h_align="right">

					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$rms_max2$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$rms_avg2$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
				</ROW>
			</TABLE_ROW>

			<TABLE_ROW>
				<!-- Peak meter -->
				<TEXT value="Peak " h_align="right" text_color="$peak_color$"/>
				<LAYER_STACK>
					<CUS_BAR_METER param_id="$$prefix$peak_value2$" image="pg_$prefix$meter_small.bmp"/>
					<CUS_HOLD_METER param_id="$$prefix$peak_meter_hold2$"/>
				</LAYER_STACK>

				<!-- Clip Meter -->
				<CUS_LED param_id="$clipped2$"/>

				<!-- Peak Data -->
				<ROW h_margin="4" h_align="right">
					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$peak_max2$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
					<CUS_BLACK_BOX>
						<CUS_TEXT_VALUE param_id="$$prefix$peak_avg2$" text_h_align="right" value_format="+.1"/>
					</CUS_BLACK_BOX>
				</ROW>
			</TABLE_ROW>
		</TABLE>
	</IMAGE_GROUP_BOX>
</TEMPLATE>

<CUS_GRAPH layout_type="layer_stack" text_color="#aaaaaa">

<TPL_METERS prefix=""     visible="true"/>
<TPL_METERS prefix="k12_" visible="false"/>
<TPL_METERS prefix="k14_" visible="false"/>
<TPL_METERS prefix="k20_" visible="false"/>
<TPL_METERS prefix="k10_" visible="false"/>
<TPL_RMS_MULTI_LINK id_v="meters"/>

</CUS_GRAPH>

</DUMMY>
